%define lib_major 2
%define api_version 2
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name} %{api_version}

%define req_gail_version 0.17
%define req_libglade_version 2.0.0
%define req_gnomedesktop_version 2.23.3

Name:		eel
Summary:	Eazel Extensions Library
Version:	2.26.0
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2

URL: 		http://www.gnome.org/
BuildRequires:	gnome-desktop-devel >= %{req_gnomedesktop_version}
BuildRequires:	libgail-devel >= %{req_gail_version}
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libgnome2-devel >= 2.23.0
BuildRequires:	glib2-devel >= 2.15.2
BuildRequires:	perl-XML-Parser expat-devel
BuildRequires:  intltool

%description
Eazel Extensions Library

%package -n	%{libname}
Summary:	Eazel Extensions shared Libraries
Group:		%{group}
Requires:	%{name} >= %{version}-%{release}

%description -n	%{libname}
Eazel Extensions shared libraries

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with Eel
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes: %mklibname -d %{name} 2 2

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with Eel.


%prep
%setup -q

%build

%configure2_5x

%make LIBS=-lm

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}-2.0
rm -f %_libdir/debug%_libdir/?

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libeel-%{api_version}.so.%{lib_major}*


%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/eel-%{api_version}




%changelog
* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355742
- update to new version 2.26.0

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 344114
- update to new version 2.25.91

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 323211
- rebuild for new gnome-desktop

* Mon Dec 01 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 308753
- update to new version 2.25.1

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.24.1-3mdv2009.1
+ Revision: 301229
- rebuild for new xcb

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 300044
- rebuild for new gnome-desktop

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295627
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286418
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282907
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278642
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274353
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 262941
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240004
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231136
- new version
- bump deps
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 212731
- new version
- fix linking

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-1mdv2008.1
+ Revision: 190883
- Release 2.22.1
- Remove patch0, merged upstream

* Mon Mar 17 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 188358
- Patch0 (SVN): add support for background monitoring

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183753
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175103
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165345
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159500
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 151728
- new version
- bump deps

* Fri Dec 21 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 136207
- fix buildrequires
- new version
- drop patches
- bump deps

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.1
+ Revision: 133922
- Fix buildrequires
- Update patch 2 with SVN version
- Patch2 (SVN): use new gnome-bg API

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89473
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63275
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57588
- new devel name

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56990
- fix buildrequires
- new version
- drop patch 2

* Mon Jul 23 2007 Pascal Terjan <pterjan@mandriva.org> 2.19.5-2mdv2008.0
+ Revision: 54643
- Fix a crash when an application has no Exec entry (GNOME bug #455949)

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50886
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41252
- new version
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141695
- new version
- readd ChangeLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111779
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 98446
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-3mdv2007.1
+ Revision: 89266
- rebuild

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 88947
- rebuild

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86210
- new versionx

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.0
+ Revision: 78046
- unpack patch
- Import eel

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-2mdv2007.0
- rebuild w/o selinux on x86_64

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- New release 2.15.90

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-3mdv2007.0
- Rebuild to drop obsolete howl dependency

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest libgail

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.15.1-3mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-2mdv2007.0
- Release 2.15.1

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patch0 (merged upstream)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-4mdk
- rebuild to remove glitz dep

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch1: fix load of KDE icons

* Fri Apr 22 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- fix buildrequires

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on G?tz Waschk package)
- Patch0 (CVS): use new gnome-menus API

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- requires new libgnomeui
- drop merged patch
- New release 2.8.2

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Patch0 (Fedora): fix crash with extensionless files

* Mon Jun 07 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix URL
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)

